Documentation Mercado Libre
Check out all the necessary information about APIs Mercado Libre.
Documentation
Last update 15/03/2023
Questions & Answers
| Resource | Description | Example |
|---|---|---|
| /questions/search?item=$ITEM_ID | Search any question made to user's items. | GET
Go back
X
Get questions by Item ID
Response
Learn more.
|
| /questions | Ask questions on other user's items. | POST
Go back
X
Make a question
Response
Learn more.
|
| /answers | Answer questions made on your items. | POST
Go back
X
Answer a question.
Response
Learn more.
|
| /questions/$QUESTION_ID | Retrieves information for an specific question ID. | GET
Go back
X
Get question details.
Response
Learn more.
|
| /users/$SELLER_ID/questions_blacklist/$BUYERID | Manage questions blacklist. | GET GET POST DELETE
Go back
X
Check user's questions blacklist (With limit and offset).$ curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' http://api.mercadolibre.com/users/$SELLER_ID/questions_blacklist Response (In case there are blocked users){
"paging": {
"total": 5,
"limit": 50,
"offset": 0
},
"users": [{
"id": 70927648
}, {
"id": 170577643
}, {
"id": 82411799
}, {
"id": 158470042
}, {
"id": 194938540
}]
}
Response (In case there are no blocked users){
"paging": {
"total": 0,
"limit": 50,
"offset": 0
},
"users": []
}
Go back
X
Check user's questions blacklist (Without offset and limit)$ curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' "http://api.mercadolibre.com/users/${seller_id}/questions_blacklist?limit=1&offset=2"
Response (In case there are blocked users){
"paging": {
"total": 5,
"limit": 50,
"offset": 0
},
"users": [{
"id": 70927648
}, {
"id": 170577643
}, {
"id": 82411799
}, {
"id": 158470042
}, {
"id": 194938540
}]
}
Response (In case there are no blocked users){
"paging": {
"total": 0,
"limit": 50,
"offset": 0
},
"users": []
}
Learn more.
Go back
X
Send users to questions blacklistcurl -X POST -H 'Authorization: Bearer $ACCESS_TOKEN' -H "Content-Type: application/json" -d
'{
"user_id": blocked user id
}'
https://api.mercadolibre.com/users/$SELLER_ID/questions_blacklist
Learn more.
Go back
X
Remove user from your question blacklist.$ curl -X DELETE -H 'Authorization: Bearer $ACCESS_TOKEN' 'https://api.mercadolibre.com/users/$SELLER_ID/questions_blacklist/$USER_IDLearn more. |
| /my/received_questions/search | Received questions by user. | GET
Go back
X
Get questions made on your items.
Response
Learn more.
|